Subject: Standard Directory Trees ?
From: [email-masked] (John Mullee)

12 Nov 1998 14:56:06 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: [email-masked]

Being new to un*x in general, I probably have more trouble than most
figuring out where things should be;
I also experience confusion when installing other people's software
who different paths for different things;

I wonder if some kind of consensus might be reached vis-à-vis
recommended or default paths, as it strikes me that just
saying 'create a /tmp directory' after installing
is not really enough to get people started.

$ gcc --print-search-dirs
prints a list of paths not anything like what's on my system..

Maybe a consensus is impossible, but perhaps future
cygwin install programs could set up some
minimal amount of stuff?

Comments or suggestions?
BTW I already looked a Earnie Boyd's stuff;
<http://www.freeyellow.com/members5/gw32/MyFavoredDirectoryStructure.html>
but I wonder if there could be some convergence in different
people's trees!

Comments?

John

=== === === === === === === === === === === === 
My mount looks like this:
Device           Directory           Type        Flags
R:               /                   native      text=binary
D:               /var                native      text=binary
D:\temp          /tmp                native      text=binary
C:               /sys                native      text=binary
C:\usr           /usr                native      text=binary
C:\cygnus        /cygnus             native      text=binary
C:\cygnus        /logopolis/monitor/noer/b20    native      text=binary
\\.\tape1:       /dev/st1            native      text!=binary
\\.\tape0:       /dev/st0            native      text!=binary
\\.\b:           /dev/fd1            native      text!=binary
\\.\a:           /dev/fd0            native      text!=binary

where R: is a 6MB ramdisk. It gets loaded like this:
--8<-- cygnus.bat
@ECHO OFF
SET MAKE_MODE=UNIX
SET CYGWIN=  binmode ntea mixed tty strip-title glob
SET HOME=R:
SET PATH=R:\bin;C:\cygnus\cygwin-b20\H-i586-cygwin32\bin;%SystemRoot%\system32;%SystemRoot%;c:\uti;c:\uti\dos_utils;.;
R:
xcopy C:\cygnus\ramdisk\*.* R:\ /T /E
xcopy C:\cygnus\ramdisk\*.* R:\ /S /D /C /H /K
R:\bin\bash --login
xcopy R:\*.* C:\cygnus\ramdisk\  /S /D /E /C /H /R /U
C:
--8<--

--8<-- R:\.profile
export TERM=linux
export PROMPT_COMMAND='cmd /c title `dirs`'
export PS1='\e[4mbash\$\e[27m '
cd /
echo Hello $USERNAME
alias ls="ls -F --color"
--8<--

C:\cygnus\ramdisk>tree
+---bin
+---cygnus
+---etc
+---mnt
¦   +---cd-rom
¦   +---floppy
¦   +---hda1
¦   +---hda2
¦   +---zip
+---sys
+---tmp
+---usr
+---var

with symlinks to appropriate places.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".